> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outlit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get destination options

> Show destination schemas, Slack connection status, and available Slack channel options.



## OpenAPI

````yaml /openapi.json get /api/destinations/options
openapi: 3.1.0
info:
  title: Outlit API
  summary: Public Outlit Platform and Ingest APIs.
  description: >-
    Canonical OpenAPI specification for the public Outlit API surfaces
    documented at docs.outlit.ai.
  version: 1.0.0
servers:
  - url: https://app.outlit.ai
security:
  - bearerAuth: []
tags:
  - name: Platform API
    description: >-
      Authenticated API key routes for customer intelligence tools and
      integration management.
  - name: Ingest API
    description: Public-key event ingestion routes used by Outlit SDKs.
paths:
  /api/destinations/options:
    get:
      tags:
        - Platform API
      summary: Get destination options
      description: >-
        Show destination schemas, Slack connection status, and available Slack
        channel options.
      operationId: getDestinationOptions
      parameters:
        - name: search
          in: query
          required: false
          description: Filter Slack channels by channel name or ID.
          schema:
            type: string
            minLength: 1
            maxLength: 120
        - name: limit
          in: query
          required: false
          description: Maximum Slack channels to return.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Destination options were returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DestinationOptionsCommandSuccess'
        '400':
          description: The request query failed command validation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: >-
            The API key is valid but does not have the required agent write
            scope.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          description: The platform could not get destination options.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
components:
  schemas:
    DestinationOptionsCommandSuccess:
      type: object
      required:
        - ok
        - commandId
        - commandVersion
        - correlationId
        - result
      properties:
        ok:
          type: boolean
          const: true
        commandId:
          type: string
          const: destination.options
        commandVersion:
          type: integer
          const: 1
        correlationId:
          type: string
        result:
          allOf:
            - $ref: '#/components/schemas/CommandResultBase'
            - type: object
              properties:
                operationId:
                  type: string
                  const: destination.options
                data:
                  $ref: '#/components/schemas/DestinationOptionsData'
      additionalProperties: false
    CommandErrorEnvelope:
      type: object
      required:
        - ok
        - commandId
        - commandVersion
        - error
      properties:
        ok:
          type: boolean
          const: false
        commandId:
          type: string
        commandVersion:
          type: integer
          minimum: 1
        error:
          type: object
          required:
            - code
            - message
            - correlationId
            - retryable
          properties:
            code:
              type: string
              enum:
                - validation_failed
                - authorization_denied
                - conflict
                - not_found
                - rate_limited
                - transient_failure
            message:
              type: string
            correlationId:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
          additionalProperties: false
      additionalProperties: false
    CommandResultBase:
      type: object
      required:
        - operationId
        - status
        - resources
        - data
        - warnings
      properties:
        operationId:
          type: string
        status:
          type: string
          const: completed
        resources:
          type: array
          items:
            $ref: '#/components/schemas/CommandResource'
        data:
          type: object
          additionalProperties: true
        warnings:
          type: array
          items:
            type: string
        auditId:
          type: string
      additionalProperties: false
    DestinationOptionsData:
      type: object
      required:
        - types
        - slack
      properties:
        types:
          type: array
          items:
            $ref: '#/components/schemas/DestinationTypeOption'
        slack:
          $ref: '#/components/schemas/DestinationOptionsSlackData'
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
      additionalProperties: true
    CommandResource:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
        id:
          type: string
      additionalProperties: false
    DestinationTypeOption:
      type: object
      required:
        - type
        - label
        - schemaFormat
        - createSchema
      properties:
        type:
          type: string
          const: SLACK_CHANNEL
        label:
          type: string
        schemaFormat:
          type: string
          const: json-schema-2020-12
        createSchema:
          $ref: '#/components/schemas/JsonSchemaObject'
      additionalProperties: false
    DestinationOptionsSlackData:
      type: object
      required:
        - connected
        - channels
        - hasMore
        - nextCursor
      properties:
        connected:
          type: boolean
        channels:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/SlackChannelOption'
        hasMore:
          type: boolean
        nextCursor:
          type:
            - string
            - 'null'
      additionalProperties: false
    ValidationIssue:
      type: object
      required:
        - path
        - message
      properties:
        path:
          type: array
          items:
            type:
              - string
              - number
        message:
          type: string
      additionalProperties: false
    JsonSchemaObject:
      type: object
      additionalProperties: true
    SlackChannelOption:
      type: object
      required:
        - id
        - name
        - isPrivate
      properties:
        id:
          type: string
        name:
          type: string
        isPrivate:
          type: boolean
      additionalProperties: false
  responses:
    Unauthorized:
      description: Invalid or missing API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Invalid credentials
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Outlit API key using the Bearer ok_... format.

````